
##  Chapter 5: Compressing Data via Dimensionality Reduction

### Chapter Outline

- Unsupervised dimensionality reduction via principal component analysis
  - The main steps behind principal component analysis
  - Extracting the principal components step by step
  - Total and explained variance
  - Feature transformation
  - Principal component analysis in scikit-learn
- Supervised data compression via linear discriminant analysis
  - Principal component analysis versus linear discriminant analysis
  - The inner workings of linear discriminant analysis
  - Computing the scatter matrices
  - Selecting linear discriminants for the new feature subspace
  - Projecting samples onto the new feature space
  - LDA via scikit-learn
- Nonlinear dimensionality reduction techniques
  - Visualizing data via t-distributed stochastic neighbor embedding
- Summary



**Please refer to the [README.md](../ch01/README.md) file in [`../ch01`](../ch01) for more information about running the code examples.**