
##  Chapter 10: Working with Unlabeled Data – Clustering Analysis

### Chapter Outline

- Grouping objects by similarity using k-means
  - K-means clustering using scikit-learn
  - A smarter way of placing the initial cluster centroids using k-means++
  - Hard versus soft clustering
  - Using the elbow method to find the optimal number of clusters
  - Quantifying the quality of clustering via silhouette plots
- Organizing clusters as a hierarchical tree
  - Grouping clusters in bottom-up fashion
  - Performing hierarchical clustering on a distance matrix
  - Attaching dendrograms to a heat map
  - Applying agglomerative clustering via scikit-learn
- Locating regions of high density via DBSCAN
- Summary

**Please refer to the [README.md](../ch01/README.md) file in [`../ch01`](../ch01) for more information about running the code examples.**

