##  Chapter 11: Implementing a Multilayer Artificial Neural Network from Scratch

### Chapter Outline

- Modeling complex functions with artificial neural networks
  - Single-layer neural network recap
  - Introducing the multilayer neural network architecture
  - Activating a neural network via forward propagation
- Classifying handwritten digits
  - Obtaining the MNIST dataset
  - Implementing a multilayer perceptron
  - Coding the neural network training loop
  - Evaluating the neural network performance
- Training an artificial neural network
  - Computing the loss function
  - Developing your intuition for backpropagation
  - Training neural networks via backpropagation
- About the convergence in neural networks
- A few last words about the neural network implementation
- Summary

**Please refer to the [README.md](../ch01/README.md) file in [`../ch01`](../ch01) for more information about running the code examples.**


